********************************************************
*
* RESTDBG.PRG
*
* 03/17/93  08:19:00
* 05/10/94  13:44:271
*
* Mike Lascuola CIS 72271,723
*
* This program restores the DEBUG window values saved
* in the databse SAVEDBG.DBF
*
********************************************************


SET TALK OFF
SET SAFE OFF
SET DELETED ON
SET TYPEAHEAD TO 20
_CLIPTEXT = ""
HIDE WINDOW COMMAND
DEACTIVATE WINDOW COMMAND
IF WVISIBLE("Trace")
   DEACTIVATE WINDOW TRACE
ENDIF
SET STAT OFF

PUBLIC gnCount        && Counts number of items in restored session

CLEAR

? " This program restores the data into the DEBUG Window"
? " from the database SAVEDBG.DBF."


SELECT DISTINCT PROJECT FROM savedbg INTO ARRAY ProjArray

@ 4,9 SAY 'Project Selection List:'

@ 6,9 GET mProject FROM ProjArray SIZE 10,21 ;
   DEFAULT ProjArray[1] WHEN REFRESH() && COLOR SCHEME 9
READ



@ 19,12 GET lnOK FUNCTION '*TH \!\<OK;\?\<Cancel';
   DEFAULT 1 SIZE 1,6 COLOR SCHEME 4


READ CYCLE SHOW popshow()  && Activate gets

IF lnOK = 2
   DO CleanUp
   RETURN
ENDIF


mProject = ALLTRIM(mProject)
CLEAR

? "When the program pauses at the the debug window,"
? "press Ctrl-M to continue."
?
* WAIT

USE savedbg EXCLUSIVE

ACTIVATE WINDOW DEBUG




DO EraseDebug

CLEAR

KEYBOARD "{Alt+W}"
KEYBOARD "D"

KEYBOARD "{CTRL+M}"
SUSPEND


COPY TO ARRAY DataArray FIELDS DATA FOR PROJECT = mProject

USE

?
?
? "Please wait..."

KEYBOARD "{CTRL+M}"

FOR gnCount = 1 TO ALEN[DataArray] + 1
   
   KEYBOARD "{SHIFT+END}{CTRL+X}"
   SUSP
   KEYBOARD "{CTRL+M}"
   IF gnCount = ALEN[DataArray] + 1
      EXIT
   ENDIF
   mdata = ALLTRIM(DataArray[gnCount])+ CHR(13)
   KEYBOARD mdata
   SUSP
   KEYBOARD "{CTRL+M}"
   
ENDFOR



DO GoToTop


DO CleanUp


KEYBOARD "{Alt+W}"     && Open the Window pulldown
KEYBOARD "T"           && Select the Trace Window 
KEYBOARD "p"           && Open the Program Pulldown
KEYBOARD "e"           && Select Open


RETURN





*!*****************************************************************************
*!
*!      Procedure: GOTOTOP
*!
*!      Called by: RESTDBG.PRG                       
*!
*!*****************************************************************************
PROCEDURE GoToTop





FOR lnCount = 1 TO gnCount
   KEYB "{UPARROW}"
ENDFOR

RETURN


*!*****************************************************************************
*!
*!      Procedure: ERASEDEBUG
*!
*!      Called by: RESTDBG.PRG                       
*!
*!*****************************************************************************
PROCEDURE EraseDebug

KEYBOARD "{CTRL+END}"

RETURN






*!*****************************************************************************
*!
*!       Function: REFRESH()
*!
*!*****************************************************************************
FUNCTION REFRESH
*** Refresh window information without calling subroutine ***
SHOW GETS OFF



*!*****************************************************************************
*!
*!       Function: POPSHOW()
*!
*!                 Displays current items in list
*!
*!      Called by: RESTDBG.PRG                       
*!
*!*****************************************************************************
FUNCTION popshow
@ 17,10 SAY mProject SIZE 1,18




*!*****************************************************************************
*!
*!      Procedure: CLEANUP
*!
*!      Called by: RESTDBG.PRG                       
*!
*!*****************************************************************************
PROCEDURE CleanUp

USE
SET STAT ON
SET TALK ON
SET SAFE ON
?
?
? "Done."

RETURN

*: EOF: RESTDBG.PRG
